Replace SDK key views

Replace the set of views associated with an SDK key. The viewKeys field is required. To remove all views from the SDK key, pass an empty viewKeys array.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequired
environmentKeystringRequired
sdkKeyKeystringRequired

Headers

LD-API-VersionenumRequired
Version of the endpoint.
Allowed values:

Query parameters

expandstringOptional

A comma-separated list of fields to expand in the response. Supported fields: viewSummaries.

Request

This endpoint expects an object.
viewKeyslist of stringsRequired
The complete target list of view keys to associate with this SDK key. An empty array removes all views from the SDK key.

Response

Successful response
kindenum

The kind of SDK key. Can be either “sdk” (server-side) or “mobile” (mobile).

keystring

The user-defined identifying key of the SDK key. This is used solely to identify an SDK key and is distinct from the value field, which is the actual SDK key value.

namestring

The human-readable name of the SDK key.

valuestring
The string value of the SDK key. Use this when configuring your SDK.
isDefaultboolean

Indicates if this SDK key is the system-defined default for the environment. There may also be an expiring default SDK key for the environment (not possible with mobile keys).

_createdAtlong
_updatedAtlong
_versioninteger

The auto-incremented version number of the SDK key.

descriptionstringOptional
The optional description of the SDK key.
expirylongOptional
_createdByMemberIdstringOptional
The ID of the member who created the SDK key. This field is immutable.
viewSummarieslist of objectsOptional
Summaries of views associated with the SDK key.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error